kernel.hh File Reference
`#include <cstddef>`
`#include <cstdlib>`
`#include <cstring>`
`#include <cassert>`
`#include <cfloat>`
`#include <functional>`
`#include <gecode/support.hh>`
`#include <gecode/support/auto-link.hpp>`
`#include <gecode/kernel/exception.hpp>`
`#include <gecode/kernel/shared-object.hpp>`
`#include <gecode/kernel/memory/config.hpp>`
`#include <gecode/kernel/memory/manager.hpp>`
`#include <gecode/kernel/memory/region.hpp>`
`#include <gecode/kernel/macros.hpp>`
`#include <gecode/kernel/archive.hpp>`
`#include <gecode/kernel/gpi.hpp>`
`#include <gecode/kernel/shared-space-data.hpp>`
`#include <gecode/kernel/core.hpp>`
`#include <gecode/kernel/modevent.hpp>`
`#include <gecode/kernel/range-list.hpp>`
`#include <gecode/kernel/var.hpp>`
`#include <gecode/kernel/view.hpp>`
`#include <gecode/kernel/data/array.hpp>`
`#include <gecode/kernel/data/shared-array.hpp>`
`#include <gecode/kernel/data/shared-data.hpp>`
`#include <gecode/kernel/data/rnd.hpp>`
`#include <gecode/kernel/propagator/pattern.hpp>`
`#include <gecode/kernel/propagator/subscribed.hpp>`
`#include <gecode/kernel/propagator/advisor.hpp>`
`#include <gecode/kernel/propagator/wait.hpp>`
`#include <gecode/kernel/branch/traits.hpp>`
`#include <gecode/kernel/branch/action.hpp>`
`#include <gecode/kernel/branch/afc.hpp>`
`#include <gecode/kernel/branch/chb.hpp>`
`#include <gecode/kernel/branch/var.hpp>`
`#include <gecode/kernel/branch/val.hpp>`
`#include <gecode/kernel/branch/tiebreak.hpp>`
`#include <gecode/kernel/branch/merit.hpp>`
`#include <gecode/kernel/branch/filter.hpp>`
`#include <gecode/kernel/branch/view-sel.hpp>`
`#include <gecode/kernel/branch/print.hpp>`
`#include <gecode/kernel/branch/view.hpp>`
`#include <gecode/kernel/branch/val-sel.hpp>`
`#include <gecode/kernel/branch/val-commit.hpp>`
`#include <gecode/kernel/branch/val-sel-commit.hpp>`
`#include <gecode/kernel/branch/view-val.hpp>`
`#include <gecode/kernel/var-imp.hpp>`
`#include <gecode/kernel/trace/traits.hpp>`
`#include <gecode/kernel/trace/filter.hpp>`
`#include <gecode/kernel/trace/tracer.hpp>`
`#include <gecode/kernel/trace/recorder.hpp>`
`#include <gecode/kernel/trace/print.hpp>`
`#include <gecode/kernel/trace/general.hpp>`
`#include <gecode/kernel/memory/allocators.hpp>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Kernel
| Kernel functionality
namespace | Gecode::Kernel::Config

## Macros

#define | GECODE_KERNEL_EXPORT
#define | GECODE_LIBRARY_NAME "Kernel"

## Functions

void | Gecode::branch (Home home, std::function< void(Space &home)> f)
| Call the function f (with the current space as argument) for branching.
void | Gecode::trace (Home home, TraceFilter tf, int te=(TE_PROPAGATE|TE_COMMIT|TE_POST), Tracer &t=StdTracer::def)
| Create tracer.
void | Gecode::trace (Home home, int te=(TE_PROPAGATE|TE_COMMIT|TE_POST), Tracer &t=StdTracer::def)
| Create tracer.

## Variables

const double | Gecode::Kernel::Config::rescale = 1e-50
| Rescale factor for action and afc values.
const double | Gecode::Kernel::Config::rescale_limit = DBL_MAX * rescale
| Rescale action and afc values when larger than this.
const double | Gecode::Kernel::Config::chb_alpha_init = 0.4
| Initial value for alpha in CHB.
const double | Gecode::Kernel::Config::chb_alpha_limit = 0.06
| Limit for decreasing alpha in CHB.
const double | Gecode::Kernel::Config::chb_alpha_decrement = 1e-6
| Alpha decrement in CHB.
const double | Gecode::Kernel::Config::chb_qscore_init = 0.05
| Initial value for Q-score in CHB.

## Macro Definition Documentation

## GECODE_KERNEL_EXPORT

#define GECODE_KERNEL_EXPORT

Definition at line 70 of file kernel.hh.

## GECODE_LIBRARY_NAME

#define GECODE_LIBRARY_NAME "Kernel"

Definition at line 77 of file kernel.hh.